diff --git a/templates/pages/about/donate.html b/templates/pages/about/donate.html
index b996dad..a83e918 100644
--- a/templates/pages/about/donate.html
+++ b/templates/pages/about/donate.html
@@ -4,6 +4,16 @@
 
 <h1>Donate <i class="far fa-money-bill-alt"></i></h1>
 
+<h2>PostgreSQL Project assets</h2>
+<p>The <a href="https://postgres.ca">PostgreSQL Community Association of
+Canada</a> (PGCAC) is a special-purpose NPO setup at the request of the
+PostgreSQL Core Team to manage and protect key project assets such domain names
+and trademarks.</p>
+<form action="https://www.paypal.com/donate" method="post" target="_top">
+<input type="hidden" name="hosted_button_id" value="FDSGMYVA93E9L" />
+<input class="btn btn-primary" type="submit" name="submit" value="Donate to PGCAC" />
+</form>
+
 <h2>General PostgreSQL efforts</h2>
 <p>PostgreSQL is an affiliated project of <a href="https://www.spi-inc.org/">Software in the Public Interest.</a> Funds donated to PostgreSQL are used
 to sponsor general PostgreSQL efforts. These funds are managed by the Fund raising group.</p>
